Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Sequencer Class Reference

Assign sequence numbers to outgoing messages. More...

`#include <RMCast_Sequencer.h>`

Inheritance diagram for ACE_RMCast_Sequencer:

[legend]
Collaboration diagram for ACE_RMCast_Sequencer:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Sequencer (void)
| Constructor.
virtual | ~ACE_RMCast_Sequencer (void)
| Destructor.
virtual int | data (ACE_RMCast::Data &)
| Push data through the stack.
## Protected Attributes
ACE_UINT32 | sequence_number_generator_
| Create the sequence numbers.
ACE_SYNCH_MUTEX | mutex_
| Synchronization.

## Detailed Description

Assign sequence numbers to outgoing messages.

On the sender side we must assign sequence numbers to the messages before they are put in the retransmission queue.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Sequencer::ACE_RMCast_Sequencer | ( | void |  | ) |

| Constructor.

ACE_RMCast_Sequencer::~ACE_RMCast_Sequencer | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_RMCast_Sequencer::data | ( | ACE_RMCast::Data & |  | ) | `[virtual]`

| Push data through the stack. Reimplemented from ACE_RMCast_Module.

## Member Data Documentation

ACE_SYNCH_MUTEX ACE_RMCast_Sequencer::mutex_`[protected]`

| Synchronization.

ACE_UINT32 ACE_RMCast_Sequencer::sequence_number_generator_`[protected]`

| Create the sequence numbers.

The documentation for this class was generated from the following files:

- RMCast_Sequencer.h
- RMCast_Sequencer.cpp
- RMCast_Sequencer.i